## `FAudioGMS_EffectChain_Create()`

**Returns:** Number, an **effect chain ID**

|Argument|Datatype|Description                                           |
|--------|--------|------------------------------------------------------|
|None    |        |                                                      |

&nbsp;

## `FAudioGMS_EffectChain_Destroy(effectChainID)`

**Returns:** N/A (`undefined`)

|Argument       |Datatype|Description                                           |
|---------------|--------|------------------------------------------------------|
|`effectChainID`|number  |                                                      |

&nbsp;

## `FAudioGMS_EffectChain_AddDefaultReverb(effectChainID)`

**Returns:** N/A (`undefined`)

|Argument       |Datatype|Description                                           |
|---------------|--------|------------------------------------------------------|
|`effectChainID`|        |                                                      |

&nbsp;

## `FAudioGMS_EffectChain_AddReverb(...)`

**Returns:** N/A (`undefined`)

|Argument          |Datatype|Description                                           |
|------------------|--------|------------------------------------------------------|
|`effectChainID`   |number  |                                                      |
|`wetDryMix`       |number  |                                                      |
|`reflectionsDelay`|number  |                                                      |
|`reverbDelay`     |number  |                                                      |
|`earlyDiffusion`  |number  |                                                      |
|`lateDiffusion`   |number  |                                                      |
|`lowEQGain`       |number  |                                                      |
|`lowEQCutoff`     |number  |                                                      |
|`highEQGain`      |number  |                                                      |
|`highEQCutoff`    |number  |                                                      |
|`reflectionsGain` |number  |                                                      |
|`reverbGain`      |number  |                                                      |
|`decayTime`       |number  |                                                      |
|`density`         |number  |                                                      |
|`roomSize`        |number  |                                                      |


&nbsp;

## `FAudioGMS_SoundInstance_SetEffectChain(soundInstanceID, effectChainID, effectGain)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |
|`effectChainID`  |number  |                                                      |
|`effectGain`     |number  |                                                      |

&nbsp;

## `FAudioGMS_SoundInstance_SetEffectGain(soundInstanceID, effectGain)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |
|`effectGain`     |number  |                                                      |

&nbsp;

## `FAudioGMS_SetMasteringEffectChain(effectChainID, effectGain)`

**Returns:** N/A (`undefined`)

|Argument       |Datatype|Description                                           |
|---------------|--------|------------------------------------------------------|
|`effectChainID`|number  |                                                      |
|`effectGain`   |number  |                                                      |

&nbsp;

## `FAudioGMS_SetMasteringEffectGain(effectGain)`

**Returns:** N/A (`undefined`)

|Argument    |Datatype|Description                                           |
|------------|--------|------------------------------------------------------|
|`effectGain`|number  |                                                      |